Gets the detailed information about a skill
curl --request GET \
--url https://vantage-us.abbyy.com/api/publicapi/v1/skills/{skillId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/publicapi/v1/skills/{skillId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/publicapi/v1/skills/{skillId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"fields": [
{
"name": "<string>",
"type": "<string>",
"textFormat": "<string>",
"isRepeatable": "<string>",
"children": "<array>"
}
],
"classes": [
{
"id": "<string>",
"name": "<string>"
}
],
"skills": [
{
"id": "<string>"
}
]
}{
"type": "<string>",
"title": "<string>",
"status": "<string>",
"detail": "<string>",
"instance": "<string>"
}Skills
Gets the detailed information about a skill
GET
/
api
/
publicapi
/
v1
/
skills
/
{skillId}
Gets the detailed information about a skill
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Skill identifier. You can find it in the list of all skills.
Response
Skill info is successfully returned
Id of the skill
Name of the skill
Available options:
Classification, Document, Process, Ocr, Assembling For document skills.
Show child attributes
Show child attributes
For classification skills.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I
